mm-common 1.0.8 (2026-07-01)

* doc-reference.am: Distribute .svg files from the HTML directory
  (Kjell Ahlstedt)

Skeletonmm:
* Add skeletonmm/tools/generate_from_gir.sh
  (Kjell Ahlstedt)

Meson build:
* Allow -Duse-network=if-no-local-tag-file (new default value)
  (Kjell Ahlstedt)

Additions to version 1.0.7 news (added 2026-07-01)

Documentation:
* Replace gtkmm.org by gtkmm.gnome.org.
  (Kjell Ahlstedt)

Skeletonmm and Meson build:
* Require meson >= 0.62.0
  (Kjell Ahlstedt)


mm-common 1.0.7 (2025-06-11)

* Don't specify colors in util/doxygen-extra.css.
  (Kjell Ahlstedt) Issue #4 (Stanisław)

Meson build:
* Use Meson's pkgconfig module to generate .pc files.
  (Kjell Ahlstedt)
* Use the Python installation that Meson uses.
  (Chun-wei Fan) Merge request glibmm!67

Autotools build:
* configure.ac: subst for mm-common-get.
  (Philippe Baril Lecavalier) Merge request !8

Skeletonmm:
* Don't require the 'dot' command.
* Use Meson's pkgconfig module to generate .pc files.
  (Kjell Ahlstedt)

Documentation:
* OVERVIEW.md: Update the meson.build snippet
  (Kjell Ahlstedt)


mm-common 1.0.6 (2024-01-07)

* MM_AX_CXX_COMPILE_STDCXX(): Support C++20
  (Murray Cumming) Issue #3
* util/meson_aux/libstdcxx-tag.py: Try curl without compression
  (Kjell Ahlstedt) Issue libsigcplusplus#98

Meson build:
* Fix use as subproject on Windows
  Issue libsigcplusplus#89 (Dan Liebault)
  (Chun-wei Fan) Merge request !7
* Don't fail if warning_level=everything
  (Daniel Boles, Kjell Ahlstedt) Merge request gtkmm!87

Skeletonmm:
* Fix the evaluation of is_git_build on Windows
  (Kjell Ahlstedt) Issue gtkmm#131 (William Roy)
* Simplify if-file-exists test
  (Kjell Ahlstedt)

Documentation:
* Remove AUTHORS and add info to README.md
  (Kjell Ahlstedt) Issue gtkmm#140


mm-common 1.0.5 (2022-12-02)

* Convert README to README.md and OVERVIEW.md.
  (Kjell Ahlstedt)

Meson build:
* util/meson_aux: Make tarball reproducible.
  (Jelle van der Waa) Merge request !6
* Simplify lookup of python command.
  (Kjell Ahlstedt) Pull request libsigcplusplus#83 (wael)

Skeletonmm:
* Avoid configuration warnings.
  (Kjell Ahlstedt)
* Detect if we build from a git subtree.
  (Kjell Ahlstedt) Merge request gtkmm!72 (William Roy)
* Simplify lookup of python command.
  (Kjell Ahlstedt) Pull request libsigcplusplus#83 (wael)
* Add build-tests option.
  (Kjell Ahlstedt) Pull request libsigcplusplus#84 (Fabrice Fontaine)


mm-common 1.0.4 (2022-02-11)

* Add util/doc_postprocess.py and util/doc_install.py.
  Generating documentation in modules that use mm-common
  does not require Perl in Meson builds.
  (Kjell Ahlstedt)

Meson build and skeletonmm:
* Specify 'check' option in run_command().
  The default value will change in future Meson releases.
  (Kjell Ahlstedt)


mm-common 1.0.3 (2021-05-20)

Meson build:
* Make it possible to use mm-common as a subproject
  (Kjell Ahlstedt)
* extra-install-cmd.py: Ignore FileNotFoundError
  (Kjell Ahlstedt)
* Make quiet installations possible
  (Kjell Ahlstedt)

Skeletonmm:
* Fix versioning on macOS
  (Kjell Ahlstedt) Pull request sigc++!65 (Tom Schoonjans)
* Use relative paths to untracked/
  (Kjell Ahlstedt) Merge request gtkmm!61 (Mingli Yu)
* Update dependencies in Meson build files:
  glibmm-2.4 -> glibmm-2.68, sigc++-2.0 -> sigc++-3.0
  (Kjell Ahlstedt)
* Make it possible to use skeletonmm as a subproject
  (Kjell Ahlstedt)


mm-common 1.0.2 (2020-09-25)

* util/doc-install.pl: Update for Doxygen >= 1.8.16
  (Kjell Ahlstedt)
* doc-reference.py: Don't include DESTDIR in the DevHelp base path
  (Kjell Ahlstedt) Issue #2 (Mart Raudsepp)
* dist-build-scripts.py: Remove files from distribution, if requested
  (Kjell Ahlstedt)


mm-common 1.0.1 (2020-06-04)

* Make libstdc++.tag retrieval work for Windows
  (Chun-wei Fan) Merge request !3
* skeletonmm/meson.build: Check if .git is a directory or a file
  (Kjell Ahlstedt) Merge request pangomm!8 (Ting-Wei Lan)
* util: Add check-dllexport-usage.py to check gmmproc version
  (Chun-wei Fan) Merge request !5
* skeletonmm: Improve the Meson build system
  (Kjell Ahlstedt)


mm-common 1.0.0 (2019-10-29)

* Rename directory build/ to am_include/
  (Kjell Ahlstedt)
* Add support for building mm-common with Meson.
  (Kjell Ahlstedt)
* Support modules that are built with Meson.
  Add the mm-common-get command.
  (Kjell Ahlstedt) Merge request !2
* skeletonmm: Use Meson instead of Autotools.
  (Kjell Ahlstedt) Issue #1 (Tomasz Kłoczko)
* MM_AX_CXX_COMPILE_STDCXX():
  Update based on the upstream AX_CXX_COMPILE_STDCXX() macro.
  (Murray Cumming)


mm-common 0.9.12 (2018-04-07)

* MM_AX_CXX_COMPILE_STDCXX():
  Update based on the upstream AX_CXX_COMPILE_STDCXX() macro,
  to support C++17.

mm-common 0.9.11 (2017-08-25)

* Fix silent build.
  (Kjell Ahlstedt) Bug #768797 (Sebastian)
* Build: don't save time stamps in skeletonmm.tar.gz
  (Michael Bielb) Bug #765108

mm-common 0.9.10 (2016-02-06)

  * Add the MM_AX_CXX_COMPILE_STDCXX() m4 macro,
    to help other *mm projects build with C++11 or C++14 compiler support.
    This is based on AX_CXX_COMPILE_STDCXX() but doesn't need to
    be copied into projects manually.
    It is less specific than MM_AX_CXX_COMPILE_STDCXX_11.
    (Murray Cumming)

mm-common 0.9.9 (2015-11-27)

  * Fix install-time rewrite of documentation tag references with
    newer Doxygen versions.
    (Daniel Elstner)
  * MM_ARG_ENABLE_WARNINGS for C++11 when using the
    -Wzero-as-null-pointer-constant option with g++.
    (Kjell Ahlstedt) Bug #757979.
  * doc-reference.am: Don't assume all existing html files shall be rebuilt.
    (Kjell Ahlstedt) Bug #686364.

mm-common 0.9.8 (2015-07-15)

  * Add the MM_AX_CXX_COMPILE_STDCXX_11() m4 macro,
    to help other *mm projects build with C++11 compiler support.
    This is based on AX_CXX_COMPILE_STDCXX_11() but doesn't need to
    be copied into projects manually.
    (Kjell Ahlstedt) Bug #751432

mm-common 0.9.7 (2014-09-15)

  * Add doxygen-extra.css, deprecate doxygen.css.
    (Kjell Ahlstedt)
  * Update for Doxygen 1.8.
    (Kjell Ahlstedt)
  * Update skeletonmm.
    (Kjell Ahlstedt)

mm-common 0.9.6 (2012-10-07)

  * Dist .js files that doxygen now generates
    (Murray Cumming)
  * Use $(MMDOCTOOLDIR) instead of @MMDOCTOOLDIR@ in Doxyfile.in.
    (Kjell Ahlstedt) Bug #673984.
  * Make downloading tags optional.
    (Krzesimir Nowak)
  * Don't try to run tar by shell.
  * Don't use missing for making skeleton tarball.
    (Krzesimir Nowak)
  * Fix running doxygen when it is located at a path containing spaces
    (Armin Burgmeier) Bug #630051

mm-common 0.9.5 (2010-03-30)

  * Distribute doctools if non-empty parameter is passed to
  MM_CONFIG_DOCTOOL_DIR
  (Krzesimir Nowak) Bug #645836

mm-common 0.9.4 (2010-03-18)

  * Correct the installation of the mm-common-util.pc file.
  (Krzesimir Nowak) Bug #645080

mm-common 0.9.3 (2010-03-15)

  * Add an mm-common-util pkg-config file, to be used intead of
  of glibmm-2.4 to get the location of doctool .pl files, such
  as doc-install.pl.
  * MM_CONFIG_DOCTOOL_DIR(): Get the .pl files from mm-common's
  installed copy instead of from glibmm, which now doesn't install its own
  copy. Because this macro has been updated, there should be no need for
  any changes in other *mm modules due to the changes in glibmm or mm-common.
  * Allow use of GMMPROC_EXTRA_M4_DIR in configure.ac to tell gmmproc about
  extra -I arguments.
  For instance, use this in configure.ac:
  MM_PKG_CONFIG_SUBST([GMMPROC_EXTRA_M4_DIR], [--variable=gmmprocm4dir gtkmm-3.0])
  (Murray Cumming)

mm-common 0.9.2 "Friends" (2010-02-05)

	Friends don't let friends declare friends.

	* Friend members of a class which are listed in a Doxygen tag
	  file are now included in the transformation to Devhelp.
	* The skeleton Doxygen configuration has been updated to avoid
	  blurry class labels in the hierarchy graphs.
	* A template for a custom reference documentation main page
	  has been added to the skeleton binding module.

mm-common 0.9.1 "Dash" (2009-12-31)

	Two years to go!

	* The skeleton Doxygen configuration file has been updated to
	  further improve the generated reference documentation.
	* The dash separator before the API version suffix of a module
	  name is now optional.
	* The installed skeletonmm source tree is now bundled in a tar
	  archive.
	* When installing from source into a different prefix than the
	  system aclocal, an informational notice will now be shown to
	  inform about the need to set ACLOCAL_FLAGS.

mm-common 0.9 "Invisible" (2009-12-26)

	The Invisible Book of Invisibility.

	* A number of small mistakes in the skeleton C++ binding files
	  have been corrected.
	* The sample XML file for the obsolete documentation override
	  mechanism has been removed from the skeleton project.
	* The tranformation from Doxygen to Devhelp has been extended
	  to produce a hierarchy of class chapters grouped by scope.
	* The documentation build rules can now be included from the
	  top-level, without recursion into a sub-directory.
	* A new MM_PROG_GCC_VISIBILITY Autoconf macro is now available
	  to facilitate building with explicit symbol visibility.

mm-common 0.8 "STFU!" (2009-09-21)

	Enjoy the silence.

	* Support for Automake 1.11 silent rules has been implemented
	  in the shared Automake include files.
	* The base path of the Devhelp file is now correctly translated
	  at installation time even with Automake 1.11.
	* A number of output directories are now created automatically
	  at build time if needed, so that it is no longer necessary to
	  put dummy files into otherwise empty directories.
	* The automatically generated ChangeLog file now omits merge
	  commits.
	* The skeleton source tree now includes an examples/ directory
	  and a skeletonmm.h single-include header file.
	* The skeleton Doxygen configuration file has been corrected
	  and updated for Doxygen 1.6.1.
	* The doc-install.pl utility no longer splits glob patterns
	  with embedded whitespace into multiple patterns.

mm-common 0.7.3 "Skeleton" (2009-09-09)

	The hip bone is connected to the rib bone.

	* A skeleton source tree of a C++ binding based on mm-common
	  is now provided as a starting point for new binding modules.
	* The mm-common-prepare utility now comes with a manual page.
	* Empty documentation groups are no longer shown as chapters
	  in the Devhelp document.
	* The reference documentation will be rebuilt when any of the
	  configuration header files of a module changed.
	* The Doxygen style sheet has been further refined.

mm-common 0.7.2 "Help" (2009-09-02)

	Get better help from Devhelp with an improved transformation.

	* The transformation from Doxygen to Devhelp no longer treats
	  documentation groups as C++ namespaces.  Also, documentation
	  modules are now listed as book chapters.
	* The shared Doxygen style sheet has been adjusted to work
	  properly with the new XHTML output of Doxygen.

mm-common 0.7.1 "Lenience" (2009-08-28)

	Be a bit less unfashionably draconian.

	* It is no longer a hard error to build a package based on
	  mm-common on a system with an older installation of glibmm
	  which lacks the shared documentation utilities.

mm-common 0.7 "Stylish" (2009-08-28)

	Document with style, using the new shared Doxygen style sheet.

	* A common style sheet for the C++ bindings documentation has
	  been added, in order to improve and unify the appearance of
	  the generated reference documentation.

mm-common 0.6.1 "Librarian" (2009-08-25)

	We're on library.gnome.org now, yay!

	* The only change in this release is the new default location
	  of the public reference documentation, which is now hosted
	  on library.gnome.org.

mm-common 0.6 "Slash" (2009-08-24)

	To slash or not to slash? This release is all about slashes.

	* The external documentation magic now pleases both Doxygen
	  and doc-install.pl: no more double slashes or accidentally
	  concatenated words.
	* Absolute local paths are converted to file:// URIs for the
	  XML and HTML documentation output.
	* The documentation generation is disabled automatically if the
	  utilities required to build it are missing at configure time.
	* Add checks for GNU make and Perl.

mm-common 0.5 "RTFM!" (2009-08-17)

	First tarball release of mm-common, the shiny new shared
	build infrastructure of the GNOME C++ binding modules.
